LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
DataInputStream Service Referencepublished

reads structured data from a chained XInputStream. More...

`import"DataInputStream.idl";`

Inheritance diagram for DataInputStream:

## Exported Interfaces
interface | com::sun::star::io::XDataInputStream
| allows to read structured data. More...
interface | com::sun::star::io::XActiveDataSink
| used to plug the inputstream-data-source. More...
interface | com::sun::star::io::XConnectable
| Allows to chain the DataInputStream. More...

## Additional Inherited Members
Public Member Functions inherited from XDataInputStream
byte | readBoolean () raises ( com::sun::star::io::IOException )
| reads in a boolean. More...
byte | readByte () raises ( com::sun::star::io::IOException )
| reads an 8-bit byte. More...
char | readChar () raises ( com::sun::star::io::IOException )
| reads a 16-bit unicode character. More...
short | readShort () raises ( com::sun::star::io::IOException )
| reads a 16-bit big endian integer. More...
long | readLong () raises ( com::sun::star::io::IOException )
| reads a 32-bit big endian integer. More...
hyper | readHyper () raises ( com::sun::star::io::IOException )
| reads a 64-bit big endian integer. More...
float | readFloat () raises ( com::sun::star::io::IOException )
| reads a 32-bit IEEE float. More...
double | readDouble () raises ( com::sun::star::io::IOException )
| reads a 64-bit IEEE double. More...
string | readUTF () raises ( com::sun::star::io::IOException )
| reads a string of UTF encoded characters. More...
Public Member Functions inherited from XInputStream
long | readBytes ([out] sequence< byte > aData, [in] long nBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| reads the specified number of bytes in the given sequence. More...
long | readSomeBytes ([out] sequence< byte > aData, [in] long nMaxBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| reads the available number of bytes, at maximum nMaxBytesToRead. More...
void | skipBytes ([in] long nBytesToSkip) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| skips the next nBytesToSkip bytes (must be positive). More...
long | available () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException )
| states how many bytes can be read or skipped without blocking. More...
void | closeInput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException)
| closes the stream. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XActiveDataSink
void | setInputStream ([in] com::sun::star::io::XInputStream aStream)
| plugs the input stream. More...
com::sun::star::io::XInputStream | getInputStream ()
Public Member Functions inherited from XConnectable
void | setPredecessor ([in] com::sun::star::io::XConnectable aPredecessor)
| sets the source of the data flow for this object. More...
com::sun::star::io::XConnectable | getPredecessor ()
void | setSuccessor ([in] com::sun::star::io::XConnectable aSuccessor)
| sets the sink of the data flow for this object. More...
com::sun::star::io::XConnectable | getSuccessor ()

## Detailed Description

reads structured data from a chained XInputStream.

An implementation of this service in general does not need to buffer data itself.

See also
  com::sun::star::io::ObjectInputStream

## Exported Interfaces

## ◆ com::sun::star::io::XActiveDataSink

interface com::sun::star::io::XActiveDataSink

used to plug the inputstream-data-source.

A plain input stream is sufficient.

## ◆ com::sun::star::io::XConnectable

interface com::sun::star::io::XConnectable

Allows to chain the DataInputStream.

## ◆ com::sun::star::io::XDataInputStream

interface com::sun::star::io::XDataInputStream

allows to read structured data.

The documentation for this service was generated from the following file:

- com/sun/star/io/DataInputStream.idl